---
apiVersion: image.openshift.io/v1
generation: 2
image:
  dockerImageMetadata:
    ContainerConfig: {}
    Created: null
    Id: ""
    apiVersion: image.openshift.io/1.0
    kind: DockerImage
  dockerImageMetadataVersion: "1.0"
  dockerImageReference: registry.redhat.io/redhat-openjdk-18/openjdk18-openshift@sha256:421d1f6a10e263677b7687ccea8e4a59058e2e3c80585505eec9a9c2e6f9f40e
  metadata:
    creationTimestamp: null
    name: sha256:421d1f6a10e263677b7687ccea8e4a59058e2e3c80585505eec9a9c2e6f9f40e
kind: ImageStreamTag
lookupPolicy:
  local: false
metadata:
  annotations:
    description: Build and run Java applications using Maven and OpenJDK 8.
    iconClass: icon-rh-openjdk
    openshift.io/display-name: Red Hat OpenJDK 8 (RHEL 7)
    sampleContextDir: undertow-servlet
    sampleRepo: https://github.com/jboss-openshift/openshift-quickstarts
    supports: java:8,java
    tags: builder,java,openjdk
    version: "8"
  creationTimestamp: "2025-10-27T11:40:54Z"
  labels:
    samples.operator.openshift.io/managed: "true"
    xpaas: 1.4.17
  name: java:openjdk-8-el7
  namespace: openshift
  resourceVersion: "19765"
  uid: 50fbb228-6a72-4988-b64b-17ee38765c39
tag:
  annotations:
    description: Build and run Java applications using Maven and OpenJDK 8.
    iconClass: icon-rh-openjdk
    openshift.io/display-name: Red Hat OpenJDK 8 (RHEL 7)
    sampleContextDir: undertow-servlet
    sampleRepo: https://github.com/jboss-openshift/openshift-quickstarts
    supports: java:8,java
    tags: builder,java,openjdk
    version: "8"
  from:
    kind: DockerImage
    name: registry.redhat.io/redhat-openjdk-18/openjdk18-openshift:latest
  generation: 2
  importPolicy:
    importMode: Legacy
  name: openjdk-8-el7
  referencePolicy:
    type: Local
